<template>
	<div>
		<common @asynCallBack="asynCallBack" :projectCheck="false"></common>
	</div>
</template>

<script>
	import * as Dictionaries from '@/utils/dictionaries'
	import Common from '@/components/Common.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'
	export default {
		name: 'Home',
		components: {
			Common,
		},
		data() {
			return {}
		},
		created() {},
		methods: {
			asynCallBack() {
				//登录状态判断
				if (this.person_popedom) {
				 
					 this.$router.push({
						name: 'Master'
					 })
				} else {
					this.$router.push({
						name: 'UserLogin',
						
					})
					  
					
				}
			},
		},
		mounted() {},
		destroyed() {

		},
		computed: {
			...mapGetters({
				openId: 'wx_openid',
				token: 'token',
				person_data: 'person_data',
				person_popedom: 'person_popedom',
			})
		}
	}
</script>

<style src="@/assets/css/iconfont.css"></style>
<style scoped src="@/assets/css/xpwyfyy.css"></style>
<style scoped>
</style>
